Bug 522208 - New Package for Dogtag PKI: dogtag-pki-ca-ui
New Package for Dogtag PKI: dogtag-pki-ca-ui
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Dogtag-to-Fedora
  Show dependency treegraph
 
Reported: 2009-09-09 14:46 EDT by Kevin Wright
Modified: 2015-07-13 00:56 EDT (History)
10 users (show)

See Also:
Fixed In Version: 1.3.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 18:42:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Wright 2009-09-09 14:46:04 EDT
first pass at getting dogtag-pki-ca-ui into Fedora.
Comment 1 Kevin Wright 2009-09-14 13:45:54 EDT
Spec URL: http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui.spec
SRPM URL: http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui-1.3.0-1.fc11.src.rpm

Description: 

Dogtag PKI is an enterprise software system designed to manage enterprise
Public Key Infrastructure (PKI) deployments.

The Dogtag Certificate Authority User Interface contains the graphical user interface for the Dogtag Certificate Authority.
Comment 3 Kevin Wright 2009-11-17 20:19:14 EST
* Mon Nov 17 2009 Kevin Wright <kwright@redhat.com> 1.3.0-2
- Bugzilla Bug #522208 - Packaging for Fedora Dogtag
- Take ownership of directories

Spec URL:
http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui.spec

SRPM URL:
http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui-1.3.0-2.fc11.src.rpm
Comment 4 Kevin Wright 2009-12-14 22:28:48 EST
* Mon Dec 14 2009 Kevin Wright <kwright@redhat.com> 1.3.0-3
- Removed 'with exceptions' from License

Spec URL:
http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui.spec

SRPM URL:
http://people.redhat.com/kwright/dogtag-pki-ca-ui/dogtag-pki-ca-ui-1.3.0-3.fc11.src.rpm
Comment 5 Parag AN(पराग) 2009-12-17 02:04:13 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1876549
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
fafcf9fae985c40a84d65389a0f78a73444ab038  dogtag-pki-ca-ui-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) Before importing package in cvs, please remove 
Requires: bash


APPROVED.
Comment 6 Kevin Wright 2009-12-17 13:35:12 EST
New Package CVS Request
=======================
Package Name: dogtag-pki-ca-ui
Short Description: The Dogtag Certificate Authority User Interface
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil
Comment 7 Kevin Fenzi 2009-12-21 15:10:52 EST
cvs done.
Comment 8 Fedora Update System 2009-12-21 22:24:58 EST
dogtag-pki-ca-ui-1.3.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-3.fc11
Comment 9 Fedora Update System 2009-12-21 22:26:29 EST
dogtag-pki-ca-ui-1.3.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-3.fc12
Comment 10 Fedora Update System 2009-12-21 22:27:35 EST
dogtag-pki-ca-ui-1.3.0-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-3.el5
Comment 11 Fedora Update System 2009-12-22 16:57:56 EST
dogtag-pki-ca-ui-1.3.0-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ca-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1047
Comment 12 Fedora Update System 2009-12-24 15:40:29 EST
dogtag-pki-ca-ui-1.3.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ca-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13645
Comment 13 Fedora Update System 2009-12-24 15:46:40 EST
dogtag-pki-ca-ui-1.3.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ca-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13688
Comment 14 Fedora Update System 2010-01-12 18:42:08 EST
dogtag-pki-ca-ui-1.3.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-01-12 18:45:25 EST
dogtag-pki-ca-ui-1.3.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Matthew Harmsen 2010-01-14 17:22:41 EST
# cd pki/dogtag/ca-ui

# svn diff
Index: dogtag-pki-ca-ui.spec
===================================================================
--- dogtag-pki-ca-ui.spec       (revision 911)
+++ dogtag-pki-ca-ui.spec       (working copy)
@@ -1,6 +1,6 @@
 Name:           dogtag-pki-ca-ui
 Version:        1.3.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Dogtag Certificate System - Certificate Authority User Interface
 URL:            http://pki.fedoraproject.org/
 License:        GPLv2
@@ -12,8 +12,6 @@
 
 BuildRequires:  ant
 
-Requires:       bash
-
 Provides:       pki-ca-ui = %{version}-%{release}
 
 Obsoletes:      pki-ca-ui < %{version}-%{release}
@@ -52,6 +50,10 @@
 %{_datadir}/pki/
 
 %changelog
+* Thu Jan 14 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-4
+- Bugzilla Bug #522208 -  New Package for Dogtag PKI: dogtag-pki-ca-ui
+- Removed "Requires:  bash"
+
 * Mon Dec 14 2009 Kevin Wright <kwright@redhat.com> 1.3.0-3
 - Removed 'with exceptions' from License
 
# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       dogtag-pki-ca-ui.spec

# svn commit
Sending        ca-ui/dogtag-pki-ca-ui.spec
Transmitting file data .
Committed revision 915.
Comment 17 Fedora Update System 2010-01-15 13:14:09 EST
dogtag-pki-ca-ui-1.3.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-4.fc11
Comment 18 Fedora Update System 2010-01-15 13:45:57 EST
dogtag-pki-ca-ui-1.3.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-4.fc12
Comment 19 Fedora Update System 2010-01-15 14:22:26 EST
dogtag-pki-ca-ui-1.3.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dogtag-pki-ca-ui-1.3.0-4.el5
Comment 20 Fedora Update System 2010-01-16 21:55:40 EST
dogtag-pki-ca-ui-1.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-02-03 15:06:43 EST
dogtag-pki-ca-ui-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-02-09 15:59:49 EST
dogtag-pki-ca-ui-1.3.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.